import { jsx as e } from "react/jsx-runtime";
import { createContext as r, use as u } from "react";
const n = r(null);
function c({ value: t, children: o }) {
  return /* @__PURE__ */ e(n, { value: t, children: o });
}
function f() {
  const t = u(n);
  if (!t)
    throw new Error("NavMenuContext is not found");
  return t;
}
export {
  c as NavMenuProvider,
  f as useNavMenuContext
};
